build-dune-common-serial:
  stage: build
  variables:
    MODULE: "dune-common"
    PACKAGES: "${MODULE} ${MODULE}-devel ${MODULE}-doc ${MODULE}-openmpi"
    PACKAGES_DEPENDENCIES: "cmake gawk gcc-c++ tbb-devel"
  script:
    - zypper ar -f ${SCIENCE_REPO} && zypper --gpg-auto-import-keys ref
    - zypper install -y ${PACKAGES} ${PACKAGES_DEPENDENCIES}
    - rpm -qil ${PACKAGES}
    - printf 'y\n' | duneproject ${PROJECT} ${DEPENDENCIES} ${VERSION} ${MAINTAINER}
    - cmake -S ${PROJECT} -B build -Wno-dev
    - cmake --build build
    - ./build/src/${PROJECT}

build-dune-common-openmpi:
  stage: build
  variables:
    MODULE: "dune-common"
    PACKAGES: "${MODULE} ${MODULE}-devel ${MODULE}-openmpi ${MODULE}-openmpi-devel"
    PACKAGES_DEPENDENCIES: "cmake gawk gcc-c++ tbb-devel"
  script:
    - zypper ar -f ${SCIENCE_REPO} && zypper --gpg-auto-import-keys ref
    - zypper install -y ${PACKAGES} ${PACKAGES_DEPENDENCIES}
    - rpm -qil ${PACKAGES}
    - printf 'y\n' | duneproject ${PROJECT} ${DEPENDENCIES} ${VERSION} ${MAINTAINER}
    - cmake -S ${PROJECT} -B build -Wno-dev
    - cmake --build build
    - ${MPIRUN} --allow-run-as-root -np 1 --oversubscribe ./build/src/${PROJECT}
